xmonad-contrib-0.18.0: Community-maintained extensions for xmonad

Copyright | (c) 2007 Andrea Rossato
License | BSD-style (see xmonad/LICENSE)
Maintainer | andrea.rossato@unibz.it
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell2010

XMonad.Layout.Simplest

Contents

- Usage:

Description

A very simple layout. The simplest, afaik.

Synopsis

- data Simplest a = Simplest

# Usage:

You can use this module with the following in your `xmonad.hs`:

    import XMonad.Layout.Simplest

Then edit your `layoutHook` by adding the Simplest layout:

    myLayout = Simplest ||| Full ||| etc..
    main = xmonad def { layoutHook = myLayout }

For more detailed instructions on editing the layoutHook see the tutorial and XMonad.Doc.Extending.

data Simplest a #

Constructors

Simplest |

#### Instances

Instances details

LayoutClass Simplest a # |
Instance details Defined in XMonad.Layout.Simplest Methods runLayout :: Workspace WorkspaceId (Simplest a) a -> Rectangle -> X ([(a, Rectangle)], Maybe (Simplest a)) # doLayout :: Simplest a -> Rectangle -> Stack a -> X ([(a, Rectangle)], Maybe (Simplest a)) # pureLayout :: Simplest a -> Rectangle -> Stack a -> [(a, Rectangle)] # emptyLayout :: Simplest a -> Rectangle -> X ([(a, Rectangle)], Maybe (Simplest a)) # handleMessage :: Simplest a -> SomeMessage -> X (Maybe (Simplest a)) # pureMessage :: Simplest a -> SomeMessage -> Maybe (Simplest a) # description :: Simplest a -> String #
Read (Simplest a) # |
Instance details Defined in XMonad.Layout.Simplest Methods readsPrec :: Int -> ReadS (Simplest a) # readList :: ReadS [Simplest a] # readPrec :: ReadPrec (Simplest a) # readListPrec :: ReadPrec [Simplest a] #
Show (Simplest a) # |
Instance details Defined in XMonad.Layout.Simplest Methods showsPrec :: Int -> Simplest a -> ShowS # show :: Simplest a -> String # showList :: [Simplest a] -> ShowS #